#181 Issue closed: Error restoring the system layout

Labels: waiting for info, support / question

rommelg opened issue at 2012-11-16 14:24:

We took an image of a server using 1.13 and went to restore, received errors about restoring the system layout. Found that there was a 1.14 version available and installed that and tried to take the image again, then to restore it. Still received the error restoring system layout. I looked through the current issues to see if anyone else was having this issue but no one is.

Here is my diskrestore.sh

#!/bin/bash
set -x

LogPrint "Start system layout restoration."

mkdir -p /mnt/local
if create_component "vgchange" "rear" ; then
    lvm vgchange -a n >&8
    component_created "vgchange" "rear"
fi

set -e
set -x

if create_component "/dev/sda" "disk" ; then
# Create /dev/sda (disk)
Log "Erasing MBR of disk /dev/sda"
dd if=/dev/zero of=/dev/sda bs=512 count=1
sync
LogPrint "Creating partitions for disk /dev/sda (msdos)"
parted -s /dev/sda mklabel msdos >&2
parted -s /dev/sda mkpart primary 1048576B 135266303B >&2
parted -s /dev/sda set 1 boot on >&2
parted -s /dev/sda mkpart primary 135266304B 107509448703B >&2
parted -s /dev/sda set 2 lvm on >&2
parted -s /dev/sda mkpart primary 107509448704B 108046319615B >&2
parted -s /dev/sda mkpart primary 108046319616B 1494996746239B >&2
parted -s /dev/sda set 4 lvm on >&2
partprobe -s /dev/sda >&2
sleep 10

# Make sure device nodes are visible (eg. in RHEL4)
my_udevtrigger
my_udevsettle
component_created "/dev/sda" "disk"
else
    LogPrint "Skipping /dev/sda (disk) as it has already been created."
fi

if create_component "/dev/sda1" "part" ; then
# Create /dev/sda1 (part)
component_created "/dev/sda1" "part"
else
    LogPrint "Skipping /dev/sda1 (part) as it has already been created."
fi

if create_component "/dev/sda2" "part" ; then
# Create /dev/sda2 (part)
component_created "/dev/sda2" "part"
else
    LogPrint "Skipping /dev/sda2 (part) as it has already been created."
fi

if create_component "/dev/sda3" "part" ; then
# Create /dev/sda3 (part)
component_created "/dev/sda3" "part"
else
    LogPrint "Skipping /dev/sda3 (part) as it has already been created."
fi

if create_component "/dev/sda4" "part" ; then
# Create /dev/sda4 (part)
component_created "/dev/sda4" "part"
else
    LogPrint "Skipping /dev/sda4 (part) as it has already been created."
fi

if create_component "pv:/dev/sda4" "lvmdev" ; then
# Create pv:/dev/sda4 (lvmdev)
LogPrint "Creating LVM PV /dev/sda4"
lvm vgchange -a n localvg || true
lvm pvcreate -ff --yes -v --uuid "vdwAjb-Ajqk-XfK9-hX03-3dyc-57As-Zf2qQY" --restorefile /var/lib/rear/layout/lvm/localvg.cfg /dev/sda4 >&2
component_created "pv:/dev/sda4" "lvmdev"
else
    LogPrint "Skipping pv:/dev/sda4 (lvmdev) as it has already been created."
fi

if create_component "pv:/dev/sda2" "lvmdev" ; then
# Create pv:/dev/sda2 (lvmdev)
LogPrint "Creating LVM PV /dev/sda2"
lvm vgchange -a n rootvg || true
lvm pvcreate -ff --yes -v --uuid "vWTDnZ-l5ub-3hyD-efzl-FA5W-JOcB-9RzVKn" --restorefile /var/lib/rear/layout/lvm/rootvg.cfg /dev/sda2 >&2
component_created "pv:/dev/sda2" "lvmdev"
else
    LogPrint "Skipping pv:/dev/sda2 (lvmdev) as it has already been created."
fi

if create_component "/dev/localvg" "lvmgrp" ; then
# Create /dev/localvg (lvmgrp)
LogPrint "Restoring LVM VG localvg"
if [ -e /dev/localvg ] ; then
    rm -rf /dev/localvg
fi
lvm vgcfgrestore -f /var/lib/rear/layout/lvm/localvg.cfg localvg >&2
lvm vgchange --available y localvg >&2
component_created "/dev/localvg" "lvmgrp"
else
    LogPrint "Skipping /dev/localvg (lvmgrp) as it has already been created."
fi

if create_component "/dev/rootvg" "lvmgrp" ; then
# Create /dev/rootvg (lvmgrp)
LogPrint "Restoring LVM VG rootvg"
if [ -e /dev/rootvg ] ; then
    rm -rf /dev/rootvg
fi
lvm vgcfgrestore -f /var/lib/rear/layout/lvm/rootvg.cfg rootvg >&2
lvm vgchange --available y rootvg >&2
component_created "/dev/rootvg" "lvmgrp"
else
    LogPrint "Skipping /dev/rootvg (lvmgrp) as it has already been created."
fi

if create_component "/dev/mapper/localvg-astlv" "lvmvol" ; then
# Create /dev/mapper/localvg-astlv (lvmvol)
component_created "/dev/mapper/localvg-astlv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-astlv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-astprodlv" "lvmvol" ; then
# Create /dev/mapper/localvg-astprodlv (lvmvol)
component_created "/dev/mapper/localvg-astprodlv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-astprodlv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-mqmlv" "lvmvol" ; then
# Create /dev/mapper/localvg-mqmlv (lvmvol)
component_created "/dev/mapper/localvg-mqmlv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-mqmlv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-calv" "lvmvol" ; then
# Create /dev/mapper/localvg-calv (lvmvol)
component_created "/dev/mapper/localvg-calv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-calv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-varmqmlv" "lvmvol" ; then
# Create /dev/mapper/localvg-varmqmlv (lvmvol)
component_created "/dev/mapper/localvg-varmqmlv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-varmqmlv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-viewstorelv" "lvmvol" ; then
# Create /dev/mapper/localvg-viewstorelv (lvmvol)
component_created "/dev/mapper/localvg-viewstorelv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-viewstorelv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-openmakelv" "lvmvol" ; then
# Create /dev/mapper/localvg-openmakelv (lvmvol)
component_created "/dev/mapper/localvg-openmakelv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-openmakelv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-cmlv" "lvmvol" ; then
# Create /dev/mapper/localvg-cmlv (lvmvol)
component_created "/dev/mapper/localvg-cmlv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-cmlv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-clearcaselv" "lvmvol" ; then
# Create /dev/mapper/localvg-clearcaselv (lvmvol)
component_created "/dev/mapper/localvg-clearcaselv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-clearcaselv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-hydralv" "lvmvol" ; then
# Create /dev/mapper/localvg-hydralv (lvmvol)
component_created "/dev/mapper/localvg-hydralv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-hydralv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-harchivelv" "lvmvol" ; then
# Create /dev/mapper/localvg-harchivelv (lvmvol)
component_created "/dev/mapper/localvg-harchivelv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-harchivelv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-hdatalv" "lvmvol" ; then
# Create /dev/mapper/localvg-hdatalv (lvmvol)
component_created "/dev/mapper/localvg-hdatalv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-hdatalv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-hstorelv" "lvmvol" ; then
# Create /dev/mapper/localvg-hstorelv (lvmvol)
component_created "/dev/mapper/localvg-hstorelv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-hstorelv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/localvg-hbackloglv" "lvmvol" ; then
# Create /dev/mapper/localvg-hbackloglv (lvmvol)
component_created "/dev/mapper/localvg-hbackloglv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/localvg-hbackloglv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/rootvg-root" "lvmvol" ; then
# Create /dev/mapper/rootvg-root (lvmvol)
component_created "/dev/mapper/rootvg-root" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/rootvg-root (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/rootvg-var" "lvmvol" ; then
# Create /dev/mapper/rootvg-var (lvmvol)
component_created "/dev/mapper/rootvg-var" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/rootvg-var (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/rootvg-usr" "lvmvol" ; then
# Create /dev/mapper/rootvg-usr (lvmvol)
component_created "/dev/mapper/rootvg-usr" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/rootvg-usr (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/rootvg-home" "lvmvol" ; then
# Create /dev/mapper/rootvg-home (lvmvol)
component_created "/dev/mapper/rootvg-home" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/rootvg-home (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/rootvg-tmp" "lvmvol" ; then
# Create /dev/mapper/rootvg-tmp (lvmvol)
component_created "/dev/mapper/rootvg-tmp" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/rootvg-tmp (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/rootvg-tivoli" "lvmvol" ; then
# Create /dev/mapper/rootvg-tivoli (lvmvol)
component_created "/dev/mapper/rootvg-tivoli" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/rootvg-tivoli (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/rootvg-maestro" "lvmvol" ; then
# Create /dev/mapper/rootvg-maestro (lvmvol)
component_created "/dev/mapper/rootvg-maestro" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/rootvg-maestro (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/rootvg-maestro_stdlist" "lvmvol" ; then
# Create /dev/mapper/rootvg-maestro_stdlist (lvmvol)
component_created "/dev/mapper/rootvg-maestro_stdlist" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/rootvg-maestro_stdlist (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/rootvg-perflv" "lvmvol" ; then
# Create /dev/mapper/rootvg-perflv (lvmvol)
component_created "/dev/mapper/rootvg-perflv" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/rootvg-perflv (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/rootvg-slog" "lvmvol" ; then
# Create /dev/mapper/rootvg-slog (lvmvol)
component_created "/dev/mapper/rootvg-slog" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/rootvg-slog (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/rootvg-director" "lvmvol" ; then
# Create /dev/mapper/rootvg-director (lvmvol)
component_created "/dev/mapper/rootvg-director" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/rootvg-director (lvmvol) as it has already been created."
fi

if create_component "/dev/mapper/rootvg-swap" "lvmvol" ; then
# Create /dev/mapper/rootvg-swap (lvmvol)
component_created "/dev/mapper/rootvg-swap" "lvmvol"
else
    LogPrint "Skipping /dev/mapper/rootvg-swap (lvmvol) as it has already been created."
fi

if create_component "fs:/" "fs" ; then
# Create fs:/ (fs)
LogPrint "Creating ext4-filesystem / on /dev/mapper/rootvg-root"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/rootvg-root >&2
tune2fs -U eb41ff2d-839b-4de7-8df6-440c12379eef /dev/mapper/rootvg-root >&2
tune2fs  -m 4 -c -1 -i 0d /dev/mapper/rootvg-root >&2
LogPrint "Mounting filesystem /"
mkdir -p /mnt/local/
mount -o rw /dev/mapper/rootvg-root /mnt/local/
component_created "fs:/" "fs"
else
    LogPrint "Skipping fs:/ (fs) as it has already been created."
fi

if create_component "fs:/boot" "fs" ; then
# Create fs:/boot (fs)
LogPrint "Creating ext4-filesystem /boot on /dev/sda1"
mkfs -t ext4 -b 1024 -i 4096 /dev/sda1 >&2
tune2fs -U 79263a97-99c7-49e9-bb3b-512598305175 /dev/sda1 >&2
tune2fs  -m 4 -c -1 -i 0d /dev/sda1 >&2
LogPrint "Mounting filesystem /boot"
mkdir -p /mnt/local/boot
mount -o rw,nodev /dev/sda1 /mnt/local/boot
component_created "fs:/boot" "fs"
else
    LogPrint "Skipping fs:/boot (fs) as it has already been created."
fi

if create_component "fs:/home" "fs" ; then
# Create fs:/home (fs)
LogPrint "Creating ext4-filesystem /home on /dev/mapper/rootvg-home"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/rootvg-home >&2
tune2fs -U 72683291-79b8-4f65-8095-848d3f54c333 /dev/mapper/rootvg-home >&2
tune2fs  -m 4 -c -1 -i 0d /dev/mapper/rootvg-home >&2
LogPrint "Mounting filesystem /home"
mkdir -p /mnt/local/home
mount -o rw,nodev,acl /dev/mapper/rootvg-home /mnt/local/home
component_created "fs:/home" "fs"
else
    LogPrint "Skipping fs:/home (fs) as it has already been created."
fi

if create_component "fs:/opt/Tivoli" "fs" ; then
# Create fs:/opt/Tivoli (fs)
LogPrint "Creating ext4-filesystem /opt/Tivoli on /dev/mapper/rootvg-tivoli"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/rootvg-tivoli >&2
tune2fs -U bba81999-b50b-46f8-83eb-1d7c6efa315c /dev/mapper/rootvg-tivoli >&2
tune2fs  -m 4 -c -1 -i 0d /dev/mapper/rootvg-tivoli >&2
LogPrint "Mounting filesystem /opt/Tivoli"
mkdir -p /mnt/local/opt/Tivoli
mount -o rw,nodev /dev/mapper/rootvg-tivoli /mnt/local/opt/Tivoli
component_created "fs:/opt/Tivoli" "fs"
else
    LogPrint "Skipping fs:/opt/Tivoli (fs) as it has already been created."
fi

if create_component "fs:/opt/ibm" "fs" ; then
# Create fs:/opt/ibm (fs)
LogPrint "Creating ext4-filesystem /opt/ibm on /dev/mapper/rootvg-director"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/rootvg-director >&2
tune2fs -U 1ce7c07a-9982-4eb3-9169-3bf7ba021cb1 /dev/mapper/rootvg-director >&2
tune2fs  -m 4 -c -1 -i 0d /dev/mapper/rootvg-director >&2
LogPrint "Mounting filesystem /opt/ibm"
mkdir -p /mnt/local/opt/ibm
mount -o rw,nodev /dev/mapper/rootvg-director /mnt/local/opt/ibm
component_created "fs:/opt/ibm" "fs"
else
    LogPrint "Skipping fs:/opt/ibm (fs) as it has already been created."
fi

if create_component "fs:/opt/maestro" "fs" ; then
# Create fs:/opt/maestro (fs)
LogPrint "Creating ext4-filesystem /opt/maestro on /dev/mapper/rootvg-maestro"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/rootvg-maestro >&2
tune2fs -U 5e58d1a5-5670-49d8-ac23-c1dc84adb1e3 /dev/mapper/rootvg-maestro >&2
tune2fs  -m 4 -c -1 -i 0d /dev/mapper/rootvg-maestro >&2
LogPrint "Mounting filesystem /opt/maestro"
mkdir -p /mnt/local/opt/maestro
mount -o rw,nodev /dev/mapper/rootvg-maestro /mnt/local/opt/maestro
component_created "fs:/opt/maestro" "fs"
else
    LogPrint "Skipping fs:/opt/maestro (fs) as it has already been created."
fi

if create_component "fs:/opt/maestro/stdlist" "fs" ; then
# Create fs:/opt/maestro/stdlist (fs)
LogPrint "Creating ext4-filesystem /opt/maestro/stdlist on /dev/mapper/rootvg-maestro_stdlist"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/rootvg-maestro_stdlist >&2
tune2fs -U def2b1c1-e635-4e17-ad8d-adc8c81112f1 /dev/mapper/rootvg-maestro_stdlist >&2
tune2fs  -m 4 -c -1 -i 0d /dev/mapper/rootvg-maestro_stdlist >&2
LogPrint "Mounting filesystem /opt/maestro/stdlist"
mkdir -p /mnt/local/opt/maestro/stdlist
mount -o rw,nodev /dev/mapper/rootvg-maestro_stdlist /mnt/local/opt/maestro/stdlist
component_created "fs:/opt/maestro/stdlist" "fs"
else
    LogPrint "Skipping fs:/opt/maestro/stdlist (fs) as it has already been created."
fi

if create_component "fs:/opt/perf" "fs" ; then
# Create fs:/opt/perf (fs)
LogPrint "Creating ext4-filesystem /opt/perf on /dev/mapper/rootvg-perflv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/rootvg-perflv >&2
tune2fs -U 297f9ab4-676d-49be-a84f-b6da315f0f2b /dev/mapper/rootvg-perflv >&2
tune2fs  -m 4 -c -1 -i 0d /dev/mapper/rootvg-perflv >&2
LogPrint "Mounting filesystem /opt/perf"
mkdir -p /mnt/local/opt/perf
mount -o rw,nodev /dev/mapper/rootvg-perflv /mnt/local/opt/perf
component_created "fs:/opt/perf" "fs"
else
    LogPrint "Skipping fs:/opt/perf (fs) as it has already been created."
fi

if create_component "fs:/opt/slog" "fs" ; then
# Create fs:/opt/slog (fs)
LogPrint "Creating ext4-filesystem /opt/slog on /dev/mapper/rootvg-slog"
mkfs -t ext4 -b 1024 -i 4096 /dev/mapper/rootvg-slog >&2
tune2fs -U b9f732e4-225d-4623-9df1-5a2bc66d4198 /dev/mapper/rootvg-slog >&2
tune2fs  -m 4 -c -1 -i 0d /dev/mapper/rootvg-slog >&2
LogPrint "Mounting filesystem /opt/slog"
mkdir -p /mnt/local/opt/slog
mount -o rw,nodev /dev/mapper/rootvg-slog /mnt/local/opt/slog
component_created "fs:/opt/slog" "fs"
else
    LogPrint "Skipping fs:/opt/slog (fs) as it has already been created."
fi

if create_component "fs:/rescue" "fs" ; then
# Create fs:/rescue (fs)
LogPrint "Creating ext2-filesystem /rescue on /dev/sda3"
mkfs -t ext2 -b 4096 -i 16384 /dev/sda3 >&2
tune2fs -U 708801d1-2764-4aab-8f39-d1b77c6a46b7 /dev/sda3 >&2
tune2fs  -m 4 -c 37 -i 180d /dev/sda3 >&2
LogPrint "Mounting filesystem /rescue"
mkdir -p /mnt/local/rescue
mount -o rw,nodev /dev/sda3 /mnt/local/rescue
component_created "fs:/rescue" "fs"
else
    LogPrint "Skipping fs:/rescue (fs) as it has already been created."
fi

if create_component "fs:/tmp" "fs" ; then
# Create fs:/tmp (fs)
LogPrint "Creating ext4-filesystem /tmp on /dev/mapper/rootvg-tmp"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/rootvg-tmp >&2
tune2fs -U 324ad0f7-b3e8-4dbe-92ec-e8703d778142 /dev/mapper/rootvg-tmp >&2
tune2fs  -m 4 -c -1 -i 0d /dev/mapper/rootvg-tmp >&2
LogPrint "Mounting filesystem /tmp"
mkdir -p /mnt/local/tmp
mount -o rw,nodev /dev/mapper/rootvg-tmp /mnt/local/tmp
component_created "fs:/tmp" "fs"
else
    LogPrint "Skipping fs:/tmp (fs) as it has already been created."
fi

if create_component "fs:/usr" "fs" ; then
# Create fs:/usr (fs)
LogPrint "Creating ext4-filesystem /usr on /dev/mapper/rootvg-usr"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/rootvg-usr >&2
tune2fs -U 3fff562e-32eb-49e4-a52f-0e084e666b8c /dev/mapper/rootvg-usr >&2
tune2fs  -m 4 -c -1 -i 0d /dev/mapper/rootvg-usr >&2
LogPrint "Mounting filesystem /usr"
mkdir -p /mnt/local/usr
mount -o rw,nodev /dev/mapper/rootvg-usr /mnt/local/usr
component_created "fs:/usr" "fs"
else
    LogPrint "Skipping fs:/usr (fs) as it has already been created."
fi

if create_component "fs:/var" "fs" ; then
# Create fs:/var (fs)
LogPrint "Creating ext4-filesystem /var on /dev/mapper/rootvg-var"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/rootvg-var >&2
tune2fs -U a13c789f-500c-4a2c-936e-89931e3a6861 /dev/mapper/rootvg-var >&2
tune2fs  -m 4 -c -1 -i 0d /dev/mapper/rootvg-var >&2
LogPrint "Mounting filesystem /var"
mkdir -p /mnt/local/var
mount -o rw,nodev /dev/mapper/rootvg-var /mnt/local/var
component_created "fs:/var" "fs"
else
    LogPrint "Skipping fs:/var (fs) as it has already been created."
fi

if create_component "fs:/opt/ast" "fs" ; then
# Create fs:/opt/ast (fs)
LogPrint "Creating ext4-filesystem /opt/ast on /dev/mapper/localvg-astlv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-astlv >&2
tune2fs -L astlv /dev/mapper/localvg-astlv >&2
tune2fs -U 56846c51-dbae-4e9a-b2b8-a7dc827db1db /dev/mapper/localvg-astlv >&2
tune2fs  -m 5 -c 32 -i 180d /dev/mapper/localvg-astlv >&2
LogPrint "Mounting filesystem /opt/ast"
mkdir -p /mnt/local/opt/ast
mount -o rw,nodev /dev/mapper/localvg-astlv /mnt/local/opt/ast
component_created "fs:/opt/ast" "fs"
else
    LogPrint "Skipping fs:/opt/ast (fs) as it has already been created."
fi

if create_component "fs:/opt/astprod" "fs" ; then
# Create fs:/opt/astprod (fs)
LogPrint "Creating ext4-filesystem /opt/astprod on /dev/mapper/localvg-astprodlv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-astprodlv >&2
tune2fs -L astprodlv /dev/mapper/localvg-astprodlv >&2
tune2fs -U 4ff1bd8c-3578-48c6-bf8a-7a691ef255d2 /dev/mapper/localvg-astprodlv >&2
tune2fs  -m 5 -c 35 -i 180d /dev/mapper/localvg-astprodlv >&2
LogPrint "Mounting filesystem /opt/astprod"
mkdir -p /mnt/local/opt/astprod
mount -o rw,nodev /dev/mapper/localvg-astprodlv /mnt/local/opt/astprod
component_created "fs:/opt/astprod" "fs"
else
    LogPrint "Skipping fs:/opt/astprod (fs) as it has already been created."
fi

if create_component "fs:/opt/mqm" "fs" ; then
# Create fs:/opt/mqm (fs)
LogPrint "Creating ext4-filesystem /opt/mqm on /dev/mapper/localvg-mqmlv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-mqmlv >&2
tune2fs -L mqmlv /dev/mapper/localvg-mqmlv >&2
tune2fs -U ada50500-a0a3-4e21-a76a-62accfc26914 /dev/mapper/localvg-mqmlv >&2
tune2fs  -m 4 -c 26 -i 180d /dev/mapper/localvg-mqmlv >&2
LogPrint "Mounting filesystem /opt/mqm"
mkdir -p /mnt/local/opt/mqm
mount -o rw,nodev /dev/mapper/localvg-mqmlv /mnt/local/opt/mqm
component_created "fs:/opt/mqm" "fs"
else
    LogPrint "Skipping fs:/opt/mqm (fs) as it has already been created."
fi

if create_component "fs:/opt/CA" "fs" ; then
# Create fs:/opt/CA (fs)
LogPrint "Creating ext4-filesystem /opt/CA on /dev/mapper/localvg-calv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-calv >&2
tune2fs -L calv /dev/mapper/localvg-calv >&2
tune2fs -U aad78fbe-6d2d-43a9-82b8-d44c86e949b9 /dev/mapper/localvg-calv >&2
tune2fs  -m 4 -c 35 -i 180d /dev/mapper/localvg-calv >&2
LogPrint "Mounting filesystem /opt/CA"
mkdir -p /mnt/local/opt/CA
mount -o rw,nodev /dev/mapper/localvg-calv /mnt/local/opt/CA
component_created "fs:/opt/CA" "fs"
else
    LogPrint "Skipping fs:/opt/CA (fs) as it has already been created."
fi

if create_component "fs:/var/mqm" "fs" ; then
# Create fs:/var/mqm (fs)
LogPrint "Creating ext4-filesystem /var/mqm on /dev/mapper/localvg-varmqmlv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-varmqmlv >&2
tune2fs -L varmqmlv /dev/mapper/localvg-varmqmlv >&2
tune2fs -U e802bb41-28d6-4a7e-aef8-087aebbbc71d /dev/mapper/localvg-varmqmlv >&2
tune2fs  -m 4 -c 22 -i 180d /dev/mapper/localvg-varmqmlv >&2
LogPrint "Mounting filesystem /var/mqm"
mkdir -p /mnt/local/var/mqm
mount -o rw,nodev /dev/mapper/localvg-varmqmlv /mnt/local/var/mqm
component_created "fs:/var/mqm" "fs"
else
    LogPrint "Skipping fs:/var/mqm (fs) as it has already been created."
fi

if create_component "fs:/viewstore" "fs" ; then
# Create fs:/viewstore (fs)
LogPrint "Creating ext4-filesystem /viewstore on /dev/mapper/localvg-viewstorelv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-viewstorelv >&2
tune2fs -L viewstorelv /dev/mapper/localvg-viewstorelv >&2
tune2fs -U ce35169a-6550-4a66-b8bb-5a749c909465 /dev/mapper/localvg-viewstorelv >&2
tune2fs  -m 5 -c 38 -i 180d /dev/mapper/localvg-viewstorelv >&2
LogPrint "Mounting filesystem /viewstore"
mkdir -p /mnt/local/viewstore
mount -o rw,nodev /dev/mapper/localvg-viewstorelv /mnt/local/viewstore
component_created "fs:/viewstore" "fs"
else
    LogPrint "Skipping fs:/viewstore (fs) as it has already been created."
fi

if create_component "fs:/opt/openmake" "fs" ; then
# Create fs:/opt/openmake (fs)
LogPrint "Creating ext4-filesystem /opt/openmake on /dev/mapper/localvg-openmakelv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-openmakelv >&2
tune2fs -L openmakelv /dev/mapper/localvg-openmakelv >&2
tune2fs -U 98f0851a-0350-4cdb-a232-ca0c1fb13b1d /dev/mapper/localvg-openmakelv >&2
tune2fs  -m 4 -c 31 -i 180d /dev/mapper/localvg-openmakelv >&2
LogPrint "Mounting filesystem /opt/openmake"
mkdir -p /mnt/local/opt/openmake
mount -o rw,nodev /dev/mapper/localvg-openmakelv /mnt/local/opt/openmake
component_created "fs:/opt/openmake" "fs"
else
    LogPrint "Skipping fs:/opt/openmake (fs) as it has already been created."
fi

if create_component "fs:/opt/cm" "fs" ; then
# Create fs:/opt/cm (fs)
LogPrint "Creating ext4-filesystem /opt/cm on /dev/mapper/localvg-cmlv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-cmlv >&2
tune2fs -L cmlv /dev/mapper/localvg-cmlv >&2
tune2fs -U 8c155de0-84ad-4449-930e-466a47be1630 /dev/mapper/localvg-cmlv >&2
tune2fs  -m 5 -c 32 -i 180d /dev/mapper/localvg-cmlv >&2
LogPrint "Mounting filesystem /opt/cm"
mkdir -p /mnt/local/opt/cm
mount -o rw,nodev /dev/mapper/localvg-cmlv /mnt/local/opt/cm
component_created "fs:/opt/cm" "fs"
else
    LogPrint "Skipping fs:/opt/cm (fs) as it has already been created."
fi

if create_component "fs:/opt/clearcase" "fs" ; then
# Create fs:/opt/clearcase (fs)
LogPrint "Creating ext4-filesystem /opt/clearcase on /dev/mapper/localvg-clearcaselv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-clearcaselv >&2
tune2fs -L clearcaselv /dev/mapper/localvg-clearcaselv >&2
tune2fs -U 4c34e480-2a4c-4dcd-ae41-795cc9a78ddf /dev/mapper/localvg-clearcaselv >&2
tune2fs  -m 4 -c 28 -i 180d /dev/mapper/localvg-clearcaselv >&2
LogPrint "Mounting filesystem /opt/clearcase"
mkdir -p /mnt/local/opt/clearcase
mount -o rw,nodev /dev/mapper/localvg-clearcaselv /mnt/local/opt/clearcase
component_created "fs:/opt/clearcase" "fs"
else
    LogPrint "Skipping fs:/opt/clearcase (fs) as it has already been created."
fi

if create_component "fs:/opt/hydra" "fs" ; then
# Create fs:/opt/hydra (fs)
LogPrint "Creating ext4-filesystem /opt/hydra on /dev/mapper/localvg-hydralv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-hydralv >&2
tune2fs -L hydralv /dev/mapper/localvg-hydralv >&2
tune2fs -U 4d7f16f8-9881-4f17-95a4-388a36a839de /dev/mapper/localvg-hydralv >&2
tune2fs  -m 5 -c 25 -i 180d /dev/mapper/localvg-hydralv >&2
LogPrint "Mounting filesystem /opt/hydra"
mkdir -p /mnt/local/opt/hydra
mount -o rw,nodev /dev/mapper/localvg-hydralv /mnt/local/opt/hydra
component_created "fs:/opt/hydra" "fs"
else
    LogPrint "Skipping fs:/opt/hydra (fs) as it has already been created."
fi

if create_component "fs:/opt/hydra_archive" "fs" ; then
# Create fs:/opt/hydra_archive (fs)
LogPrint "Creating ext4-filesystem /opt/hydra_archive on /dev/mapper/localvg-harchivelv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-harchivelv >&2
tune2fs -L harchivelv /dev/mapper/localvg-harchivelv >&2
tune2fs -U d788999e-7ca6-4edd-862f-664331911b4a /dev/mapper/localvg-harchivelv >&2
tune2fs  -m 5 -c 36 -i 180d /dev/mapper/localvg-harchivelv >&2
LogPrint "Mounting filesystem /opt/hydra_archive"
mkdir -p /mnt/local/opt/hydra_archive
mount -o rw,nodev /dev/mapper/localvg-harchivelv /mnt/local/opt/hydra_archive
component_created "fs:/opt/hydra_archive" "fs"
else
    LogPrint "Skipping fs:/opt/hydra_archive (fs) as it has already been created."
fi

if create_component "fs:/opt/hydra_data" "fs" ; then
# Create fs:/opt/hydra_data (fs)
LogPrint "Creating ext4-filesystem /opt/hydra_data on /dev/mapper/localvg-hdatalv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-hdatalv >&2
tune2fs -L hdatalv /dev/mapper/localvg-hdatalv >&2
tune2fs -U af8ed061-1178-4947-82ec-64d4493191de /dev/mapper/localvg-hdatalv >&2
tune2fs  -m 5 -c 30 -i 180d /dev/mapper/localvg-hdatalv >&2
LogPrint "Mounting filesystem /opt/hydra_data"
mkdir -p /mnt/local/opt/hydra_data
mount -o rw,nodev /dev/mapper/localvg-hdatalv /mnt/local/opt/hydra_data
component_created "fs:/opt/hydra_data" "fs"
else
    LogPrint "Skipping fs:/opt/hydra_data (fs) as it has already been created."
fi

if create_component "fs:/opt/hydra_store" "fs" ; then
# Create fs:/opt/hydra_store (fs)
LogPrint "Creating ext4-filesystem /opt/hydra_store on /dev/mapper/localvg-hstorelv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-hstorelv >&2
tune2fs -L hstorelv /dev/mapper/localvg-hstorelv >&2
tune2fs -U 25b01189-9d44-4f2c-bd8c-742e82715b64 /dev/mapper/localvg-hstorelv >&2
tune2fs  -m 5 -c 20 -i 180d /dev/mapper/localvg-hstorelv >&2
LogPrint "Mounting filesystem /opt/hydra_store"
mkdir -p /mnt/local/opt/hydra_store
mount -o rw,nodev /dev/mapper/localvg-hstorelv /mnt/local/opt/hydra_store
component_created "fs:/opt/hydra_store" "fs"
else
    LogPrint "Skipping fs:/opt/hydra_store (fs) as it has already been created."
fi

if create_component "fs:/opt/hydra_backlog" "fs" ; then
# Create fs:/opt/hydra_backlog (fs)
LogPrint "Creating ext4-filesystem /opt/hydra_backlog on /dev/mapper/localvg-hbackloglv"
mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/localvg-hbackloglv >&2
tune2fs -L hbackloglv /dev/mapper/localvg-hbackloglv >&2
tune2fs -U ce46a998-beac-454a-a865-727895be69f9 /dev/mapper/localvg-hbackloglv >&2
tune2fs  -m 5 -c 38 -i 180d /dev/mapper/localvg-hbackloglv >&2
LogPrint "Mounting filesystem /opt/hydra_backlog"
mkdir -p /mnt/local/opt/hydra_backlog
mount -o rw,nodev /dev/mapper/localvg-hbackloglv /mnt/local/opt/hydra_backlog
component_created "fs:/opt/hydra_backlog" "fs"
else
    LogPrint "Skipping fs:/opt/hydra_backlog (fs) as it has already been created."
fi

if create_component "swap:/dev/mapper/rootvg-swap" "swap" ; then
# Create swap:/dev/mapper/rootvg-swap (swap)
LogPrint "Creating swap on /dev/mapper/rootvg-swap"
mkswap -U cbe224ea-acee-46ab-9457-e8ccd49c7a21 /dev/mapper/rootvg-swap >&2
component_created "swap:/dev/mapper/rootvg-swap" "swap"
else
    LogPrint "Skipping swap:/dev/mapper/rootvg-swap (swap) as it has already been created."
fi


set +x
set +e

LogPrint "Disk layout created."

Here is my output (snipped):

2012-11-15 18:21:24 Erasing MBR of disk /dev/sda
+++ dd if=/dev/zero of=/dev/sda bs=512 count=1
1+0 records in
1+0 records out
512 bytes (512 B) copied, 0.00686346 s, 74.6 kB/s
+++ sync
+++ LogPrint 'Creating partitions for disk /dev/sda (msdos)'
+++ Log 'Creating partitions for disk /dev/sda (msdos)'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:21:24 Creating partitions for disk /dev/sda (msdos)'
2012-11-15 18:21:24 Creating partitions for disk /dev/sda (msdos)
+++ Print 'Creating partitions for disk /dev/sda (msdos)'
+++ test 1
+++ echo -e 'Creating partitions for disk /dev/sda (msdos)'
+++ parted -s /dev/sda mklabel msdos
+++ parted -s /dev/sda mkpart primary 1048576B 135266303B
+++ parted -s /dev/sda set 1 boot on
+++ parted -s /dev/sda mkpart primary 135266304B 107509448703B
+++ parted -s /dev/sda set 2 lvm on
+++ parted -s /dev/sda mkpart primary 107509448704B 108046319615B
+++ parted -s /dev/sda mkpart primary 108046319616B 1494996746239B
Warning: WARNING: the kernel failed to re-read the partition table on /dev/sda (Device or resource busy).  As a result, it may not reflect all of your changes until after reboot.
++ ((  1 == 0  ))
++ LogPrint 'An error occured during layout recreation.'
++ Log 'An error occured during layout recreation.'
++ test 1 -gt 0
+++ Stamp
+++ date '+%Y-%m-%d %H:%M:%S '
++ echo '2012-11-15 18:21:24 An error occured during layout recreation.'
2012-11-15 18:21:24 An error occured during layout recreation.
++ Print 'An error occured during layout recreation.'
++ test 1
++ echo -e 'An error occured during layout recreation.'
++ Print ''
++ test 1
++ echo -e ''

Any help would be appreciated

gdha commented at 2012-11-16 15:11:

Can you also share the corresponding log file of the recover exercise (at least the relevant part)?

rommelg commented at 2012-11-16 15:29:

Debug mode...
tail -n 2000 rear-server.log

++ label=viewstorelv
++ uuid=ce35169a-6550-4a66-b8bb-5a749c909465
++ case $fstype in
++ local blocksize= reserved_blocks= max_mounts= check_interval=
++ local option name value
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ blocksize=' -b 4096'
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ [[ 5 == 5% ]]
++ reserved_blocks=' -m 5'
++ for option in '$options'
++ name=max_mounts
++ value=38
++ case $name in
++ max_mounts=' -c 38'
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ check_interval=' -i 180d'
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ bytes_per_inode=' -i 16384'
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ cat
++ local tunefs=tune2fs
++ '[' ext4 = ext4 ']'
++ has_binary tune4fs
++ for bin in '$@'
++ type tune4fs
++ return 1
++ '[' -n viewstorelv ']'
++ echo 'tune2fs -L viewstorelv /dev/mapper/localvg-viewstorelv >&2'
++ '[' -n ce35169a-6550-4a66-b8bb-5a749c909465 ']'
++ echo 'tune2fs -U ce35169a-6550-4a66-b8bb-5a749c909465 /dev/mapper/localvg-viewstorelv >&2'
++ tune2fsopts=' -m 5 -c 38 -i 180d'
++ '[' -n ' -m 5 -c 38 -i 180d' ']'
++ echo 'tune2fs  -m 5 -c 38 -i 180d /dev/mapper/localvg-viewstorelv >&2'
++ local option mountopts
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ for option in '$options'
++ name=max_mounts
++ value=38
++ case $name in
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ mountopts=rw,nodev
++ '[' -n rw,nodev ']'
++ mountopts=' -o rw,nodev'
++ cat
++ cat
++ mark_as_done fs:/viewstore
++ Debug 'Marking fs:/viewstore as done.'
++ test ''
++ sed -i 's;todo\ fs:/viewstore\ ;done\ fs:/viewstore\ ;' /var/lib/rear/layout/disktodo.conf
++ '[' -z '' ']'
++ willdodev=
++ willdotype=
++ cp /var/lib/rear/layout/disktodo.conf /var/lib/rear/layout/disktodo.conf.tmp
++ read status thisdev type
+++ grep '^todo' /var/lib/rear/layout/disktodo.conf
++ Debug 'Testing fs:/opt/openmake for dependencies...'
++ test ''
++ deps=($(grep "^$thisdev\ " $LAYOUT_DEPS | cut -d " " -f "2"))
+++ grep '^fs:/opt/openmake\ ' /var/lib/rear/layout/diskdeps.conf
+++ cut -d ' ' -f 2
++ Debug 'deps (2): /dev/mapper/localvg-openmakelv fs:/'
++ test ''
++ donedeps=0
++ for dep in '"${deps[@]}"'
++ grep -q 'done /dev/mapper/localvg-openmakelv ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ for dep in '"${deps[@]}"'
++ grep -q 'done fs:/ ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ '[' 2 -eq 2 ']'
++ Debug 'All dependencies for fs:/opt/openmake are present, processing...'
++ test ''
++ willdodev=fs:/opt/openmake
++ willdotype=fs
++ break
++ rm /var/lib/rear/layout/disktodo.conf.tmp
++ '[' -n fs:/opt/openmake ']'
++ create_device fs:/opt/openmake fs
++ local device=fs:/opt/openmake
++ local type=fs
++ local name
++ cat
++ echo '# Create fs:/opt/openmake (fs)'
++ type -t create_fs
++ create_fs fs:/opt/openmake
++ local fs device mp fstype uuid label options
++ read fs device mp fstype uuid label options
+++ grep '^fs.* /opt/openmake ' /var/lib/rear/layout/disklayout.conf
++ label=openmakelv
++ uuid=98f0851a-0350-4cdb-a232-ca0c1fb13b1d
++ case $fstype in
++ local blocksize= reserved_blocks= max_mounts= check_interval=
++ local option name value
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ blocksize=' -b 4096'
++ for option in '$options'
++ name=reserved_blocks
++ value=4%
++ case $name in
++ [[ 4 == 4% ]]
++ reserved_blocks=' -m 4'
++ for option in '$options'
++ name=max_mounts
++ value=31
++ case $name in
++ max_mounts=' -c 31'
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ check_interval=' -i 180d'
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ bytes_per_inode=' -i 16384'
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ cat
++ local tunefs=tune2fs
++ '[' ext4 = ext4 ']'
++ has_binary tune4fs
++ for bin in '$@'
++ type tune4fs
++ return 1
++ '[' -n openmakelv ']'
++ echo 'tune2fs -L openmakelv /dev/mapper/localvg-openmakelv >&2'
++ '[' -n 98f0851a-0350-4cdb-a232-ca0c1fb13b1d ']'
++ echo 'tune2fs -U 98f0851a-0350-4cdb-a232-ca0c1fb13b1d /dev/mapper/localvg-openmakelv >&2'
++ tune2fsopts=' -m 4 -c 31 -i 180d'
++ '[' -n ' -m 4 -c 31 -i 180d' ']'
++ echo 'tune2fs  -m 4 -c 31 -i 180d /dev/mapper/localvg-openmakelv >&2'
++ local option mountopts
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ for option in '$options'
++ name=reserved_blocks
++ value=4%
++ case $name in
++ for option in '$options'
++ name=max_mounts
++ value=31
++ case $name in
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ mountopts=rw,nodev
++ '[' -n rw,nodev ']'
++ mountopts=' -o rw,nodev'
++ cat
++ cat
++ mark_as_done fs:/opt/openmake
++ Debug 'Marking fs:/opt/openmake as done.'
++ test ''
++ sed -i 's;todo\ fs:/opt/openmake\ ;done\ fs:/opt/openmake\ ;' /var/lib/rear/layout/disktodo.conf
++ '[' -z '' ']'
++ willdodev=
++ willdotype=
++ cp /var/lib/rear/layout/disktodo.conf /var/lib/rear/layout/disktodo.conf.tmp
++ read status thisdev type
+++ grep '^todo' /var/lib/rear/layout/disktodo.conf
++ Debug 'Testing fs:/opt/cm for dependencies...'
++ test ''
++ deps=($(grep "^$thisdev\ " $LAYOUT_DEPS | cut -d " " -f "2"))
+++ grep '^fs:/opt/cm\ ' /var/lib/rear/layout/diskdeps.conf
+++ cut -d ' ' -f 2
++ Debug 'deps (2): /dev/mapper/localvg-cmlv fs:/'
++ test ''
++ donedeps=0
++ for dep in '"${deps[@]}"'
++ grep -q 'done /dev/mapper/localvg-cmlv ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ for dep in '"${deps[@]}"'
++ grep -q 'done fs:/ ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ '[' 2 -eq 2 ']'
++ Debug 'All dependencies for fs:/opt/cm are present, processing...'
++ test ''
++ willdodev=fs:/opt/cm
++ willdotype=fs
++ break
++ rm /var/lib/rear/layout/disktodo.conf.tmp
++ '[' -n fs:/opt/cm ']'
++ create_device fs:/opt/cm fs
++ local device=fs:/opt/cm
++ local type=fs
++ local name
++ cat
++ echo '# Create fs:/opt/cm (fs)'
++ type -t create_fs
++ create_fs fs:/opt/cm
++ local fs device mp fstype uuid label options
++ read fs device mp fstype uuid label options
+++ grep '^fs.* /opt/cm ' /var/lib/rear/layout/disklayout.conf
++ label=cmlv
++ uuid=8c155de0-84ad-4449-930e-466a47be1630
++ case $fstype in
++ local blocksize= reserved_blocks= max_mounts= check_interval=
++ local option name value
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ blocksize=' -b 4096'
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ [[ 5 == 5% ]]
++ reserved_blocks=' -m 5'
++ for option in '$options'
++ name=max_mounts
++ value=32
++ case $name in
++ max_mounts=' -c 32'
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ check_interval=' -i 180d'
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ bytes_per_inode=' -i 16384'
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ cat
++ local tunefs=tune2fs
++ '[' ext4 = ext4 ']'
++ has_binary tune4fs
++ for bin in '$@'
++ type tune4fs
++ return 1
++ '[' -n cmlv ']'
++ echo 'tune2fs -L cmlv /dev/mapper/localvg-cmlv >&2'
++ '[' -n 8c155de0-84ad-4449-930e-466a47be1630 ']'
++ echo 'tune2fs -U 8c155de0-84ad-4449-930e-466a47be1630 /dev/mapper/localvg-cmlv >&2'
++ tune2fsopts=' -m 5 -c 32 -i 180d'
++ '[' -n ' -m 5 -c 32 -i 180d' ']'
++ echo 'tune2fs  -m 5 -c 32 -i 180d /dev/mapper/localvg-cmlv >&2'
++ local option mountopts
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ for option in '$options'
++ name=max_mounts
++ value=32
++ case $name in
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ mountopts=rw,nodev
++ '[' -n rw,nodev ']'
++ mountopts=' -o rw,nodev'
++ cat
++ cat
++ mark_as_done fs:/opt/cm
++ Debug 'Marking fs:/opt/cm as done.'
++ test ''
++ sed -i 's;todo\ fs:/opt/cm\ ;done\ fs:/opt/cm\ ;' /var/lib/rear/layout/disktodo.conf
++ '[' -z '' ']'
++ willdodev=
++ willdotype=
++ cp /var/lib/rear/layout/disktodo.conf /var/lib/rear/layout/disktodo.conf.tmp
++ read status thisdev type
+++ grep '^todo' /var/lib/rear/layout/disktodo.conf
++ Debug 'Testing fs:/opt/clearcase for dependencies...'
++ test ''
++ deps=($(grep "^$thisdev\ " $LAYOUT_DEPS | cut -d " " -f "2"))
+++ grep '^fs:/opt/clearcase\ ' /var/lib/rear/layout/diskdeps.conf
+++ cut -d ' ' -f 2
++ Debug 'deps (2): /dev/mapper/localvg-clearcaselv fs:/'
++ test ''
++ donedeps=0
++ for dep in '"${deps[@]}"'
++ grep -q 'done /dev/mapper/localvg-clearcaselv ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ for dep in '"${deps[@]}"'
++ grep -q 'done fs:/ ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ '[' 2 -eq 2 ']'
++ Debug 'All dependencies for fs:/opt/clearcase are present, processing...'
++ test ''
++ willdodev=fs:/opt/clearcase
++ willdotype=fs
++ break
++ rm /var/lib/rear/layout/disktodo.conf.tmp
++ '[' -n fs:/opt/clearcase ']'
++ create_device fs:/opt/clearcase fs
++ local device=fs:/opt/clearcase
++ local type=fs
++ local name
++ cat
++ echo '# Create fs:/opt/clearcase (fs)'
++ type -t create_fs
++ create_fs fs:/opt/clearcase
++ local fs device mp fstype uuid label options
++ read fs device mp fstype uuid label options
+++ grep '^fs.* /opt/clearcase ' /var/lib/rear/layout/disklayout.conf
++ label=clearcaselv
++ uuid=4c34e480-2a4c-4dcd-ae41-795cc9a78ddf
++ case $fstype in
++ local blocksize= reserved_blocks= max_mounts= check_interval=
++ local option name value
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ blocksize=' -b 4096'
++ for option in '$options'
++ name=reserved_blocks
++ value=4%
++ case $name in
++ [[ 4 == 4% ]]
++ reserved_blocks=' -m 4'
++ for option in '$options'
++ name=max_mounts
++ value=28
++ case $name in
++ max_mounts=' -c 28'
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ check_interval=' -i 180d'
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ bytes_per_inode=' -i 16384'
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ cat
++ local tunefs=tune2fs
++ '[' ext4 = ext4 ']'
++ has_binary tune4fs
++ for bin in '$@'
++ type tune4fs
++ return 1
++ '[' -n clearcaselv ']'
++ echo 'tune2fs -L clearcaselv /dev/mapper/localvg-clearcaselv >&2'
++ '[' -n 4c34e480-2a4c-4dcd-ae41-795cc9a78ddf ']'
++ echo 'tune2fs -U 4c34e480-2a4c-4dcd-ae41-795cc9a78ddf /dev/mapper/localvg-clearcaselv >&2'
++ tune2fsopts=' -m 4 -c 28 -i 180d'
++ '[' -n ' -m 4 -c 28 -i 180d' ']'
++ echo 'tune2fs  -m 4 -c 28 -i 180d /dev/mapper/localvg-clearcaselv >&2'
++ local option mountopts
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ for option in '$options'
++ name=reserved_blocks
++ value=4%
++ case $name in
++ for option in '$options'
++ name=max_mounts
++ value=28
++ case $name in
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ mountopts=rw,nodev
++ '[' -n rw,nodev ']'
++ mountopts=' -o rw,nodev'
++ cat
++ cat
++ mark_as_done fs:/opt/clearcase
++ Debug 'Marking fs:/opt/clearcase as done.'
++ test ''
++ sed -i 's;todo\ fs:/opt/clearcase\ ;done\ fs:/opt/clearcase\ ;' /var/lib/rear/layout/disktodo.conf
++ '[' -z '' ']'
++ willdodev=
++ willdotype=
++ cp /var/lib/rear/layout/disktodo.conf /var/lib/rear/layout/disktodo.conf.tmp
++ read status thisdev type
+++ grep '^todo' /var/lib/rear/layout/disktodo.conf
++ Debug 'Testing fs:/opt/hydra for dependencies...'
++ test ''
++ deps=($(grep "^$thisdev\ " $LAYOUT_DEPS | cut -d " " -f "2"))
+++ grep '^fs:/opt/hydra\ ' /var/lib/rear/layout/diskdeps.conf
+++ cut -d ' ' -f 2
++ Debug 'deps (2): /dev/mapper/localvg-hydralv fs:/'
++ test ''
++ donedeps=0
++ for dep in '"${deps[@]}"'
++ grep -q 'done /dev/mapper/localvg-hydralv ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ for dep in '"${deps[@]}"'
++ grep -q 'done fs:/ ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ '[' 2 -eq 2 ']'
++ Debug 'All dependencies for fs:/opt/hydra are present, processing...'
++ test ''
++ willdodev=fs:/opt/hydra
++ willdotype=fs
++ break
++ rm /var/lib/rear/layout/disktodo.conf.tmp
++ '[' -n fs:/opt/hydra ']'
++ create_device fs:/opt/hydra fs
++ local device=fs:/opt/hydra
++ local type=fs
++ local name
++ cat
++ echo '# Create fs:/opt/hydra (fs)'
++ type -t create_fs
++ create_fs fs:/opt/hydra
++ local fs device mp fstype uuid label options
++ read fs device mp fstype uuid label options
+++ grep '^fs.* /opt/hydra ' /var/lib/rear/layout/disklayout.conf
++ label=hydralv
++ uuid=4d7f16f8-9881-4f17-95a4-388a36a839de
++ case $fstype in
++ local blocksize= reserved_blocks= max_mounts= check_interval=
++ local option name value
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ blocksize=' -b 4096'
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ [[ 5 == 5% ]]
++ reserved_blocks=' -m 5'
++ for option in '$options'
++ name=max_mounts
++ value=25
++ case $name in
++ max_mounts=' -c 25'
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ check_interval=' -i 180d'
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ bytes_per_inode=' -i 16384'
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ cat
++ local tunefs=tune2fs
++ '[' ext4 = ext4 ']'
++ has_binary tune4fs
++ for bin in '$@'
++ type tune4fs
++ return 1
++ '[' -n hydralv ']'
++ echo 'tune2fs -L hydralv /dev/mapper/localvg-hydralv >&2'
++ '[' -n 4d7f16f8-9881-4f17-95a4-388a36a839de ']'
++ echo 'tune2fs -U 4d7f16f8-9881-4f17-95a4-388a36a839de /dev/mapper/localvg-hydralv >&2'
++ tune2fsopts=' -m 5 -c 25 -i 180d'
++ '[' -n ' -m 5 -c 25 -i 180d' ']'
++ echo 'tune2fs  -m 5 -c 25 -i 180d /dev/mapper/localvg-hydralv >&2'
++ local option mountopts
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ for option in '$options'
++ name=max_mounts
++ value=25
++ case $name in
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ mountopts=rw,nodev
++ '[' -n rw,nodev ']'
++ mountopts=' -o rw,nodev'
++ cat
++ cat
++ mark_as_done fs:/opt/hydra
++ Debug 'Marking fs:/opt/hydra as done.'
++ test ''
++ sed -i 's;todo\ fs:/opt/hydra\ ;done\ fs:/opt/hydra\ ;' /var/lib/rear/layout/disktodo.conf
++ '[' -z '' ']'
++ willdodev=
++ willdotype=
++ cp /var/lib/rear/layout/disktodo.conf /var/lib/rear/layout/disktodo.conf.tmp
++ read status thisdev type
+++ grep '^todo' /var/lib/rear/layout/disktodo.conf
++ Debug 'Testing fs:/opt/hydra_archive for dependencies...'
++ test ''
++ deps=($(grep "^$thisdev\ " $LAYOUT_DEPS | cut -d " " -f "2"))
+++ grep '^fs:/opt/hydra_archive\ ' /var/lib/rear/layout/diskdeps.conf
+++ cut -d ' ' -f 2
++ Debug 'deps (2): /dev/mapper/localvg-harchivelv fs:/'
++ test ''
++ donedeps=0
++ for dep in '"${deps[@]}"'
++ grep -q 'done /dev/mapper/localvg-harchivelv ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ for dep in '"${deps[@]}"'
++ grep -q 'done fs:/ ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ '[' 2 -eq 2 ']'
++ Debug 'All dependencies for fs:/opt/hydra_archive are present, processing...'
++ test ''
++ willdodev=fs:/opt/hydra_archive
++ willdotype=fs
++ break
++ rm /var/lib/rear/layout/disktodo.conf.tmp
++ '[' -n fs:/opt/hydra_archive ']'
++ create_device fs:/opt/hydra_archive fs
++ local device=fs:/opt/hydra_archive
++ local type=fs
++ local name
++ cat
++ echo '# Create fs:/opt/hydra_archive (fs)'
++ type -t create_fs
++ create_fs fs:/opt/hydra_archive
++ local fs device mp fstype uuid label options
++ read fs device mp fstype uuid label options
+++ grep '^fs.* /opt/hydra_archive ' /var/lib/rear/layout/disklayout.conf
++ label=harchivelv
++ uuid=d788999e-7ca6-4edd-862f-664331911b4a
++ case $fstype in
++ local blocksize= reserved_blocks= max_mounts= check_interval=
++ local option name value
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ blocksize=' -b 4096'
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ [[ 5 == 5% ]]
++ reserved_blocks=' -m 5'
++ for option in '$options'
++ name=max_mounts
++ value=36
++ case $name in
++ max_mounts=' -c 36'
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ check_interval=' -i 180d'
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ bytes_per_inode=' -i 16384'
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ cat
++ local tunefs=tune2fs
++ '[' ext4 = ext4 ']'
++ has_binary tune4fs
++ for bin in '$@'
++ type tune4fs
++ return 1
++ '[' -n harchivelv ']'
++ echo 'tune2fs -L harchivelv /dev/mapper/localvg-harchivelv >&2'
++ '[' -n d788999e-7ca6-4edd-862f-664331911b4a ']'
++ echo 'tune2fs -U d788999e-7ca6-4edd-862f-664331911b4a /dev/mapper/localvg-harchivelv >&2'
++ tune2fsopts=' -m 5 -c 36 -i 180d'
++ '[' -n ' -m 5 -c 36 -i 180d' ']'
++ echo 'tune2fs  -m 5 -c 36 -i 180d /dev/mapper/localvg-harchivelv >&2'
++ local option mountopts
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ for option in '$options'
++ name=max_mounts
++ value=36
++ case $name in
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ mountopts=rw,nodev
++ '[' -n rw,nodev ']'
++ mountopts=' -o rw,nodev'
++ cat
++ cat
++ mark_as_done fs:/opt/hydra_archive
++ Debug 'Marking fs:/opt/hydra_archive as done.'
++ test ''
++ sed -i 's;todo\ fs:/opt/hydra_archive\ ;done\ fs:/opt/hydra_archive\ ;' /var/lib/rear/layout/disktodo.conf
++ '[' -z '' ']'
++ willdodev=
++ willdotype=
++ cp /var/lib/rear/layout/disktodo.conf /var/lib/rear/layout/disktodo.conf.tmp
++ read status thisdev type
+++ grep '^todo' /var/lib/rear/layout/disktodo.conf
++ Debug 'Testing fs:/opt/hydra_data for dependencies...'
++ test ''
++ deps=($(grep "^$thisdev\ " $LAYOUT_DEPS | cut -d " " -f "2"))
+++ grep '^fs:/opt/hydra_data\ ' /var/lib/rear/layout/diskdeps.conf
+++ cut -d ' ' -f 2
++ Debug 'deps (2): /dev/mapper/localvg-hdatalv fs:/'
++ test ''
++ donedeps=0
++ for dep in '"${deps[@]}"'
++ grep -q 'done /dev/mapper/localvg-hdatalv ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ for dep in '"${deps[@]}"'
++ grep -q 'done fs:/ ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ '[' 2 -eq 2 ']'
++ Debug 'All dependencies for fs:/opt/hydra_data are present, processing...'
++ test ''
++ willdodev=fs:/opt/hydra_data
++ willdotype=fs
++ break
++ rm /var/lib/rear/layout/disktodo.conf.tmp
++ '[' -n fs:/opt/hydra_data ']'
++ create_device fs:/opt/hydra_data fs
++ local device=fs:/opt/hydra_data
++ local type=fs
++ local name
++ cat
++ echo '# Create fs:/opt/hydra_data (fs)'
++ type -t create_fs
++ create_fs fs:/opt/hydra_data
++ local fs device mp fstype uuid label options
++ read fs device mp fstype uuid label options
+++ grep '^fs.* /opt/hydra_data ' /var/lib/rear/layout/disklayout.conf
++ label=hdatalv
++ uuid=af8ed061-1178-4947-82ec-64d4493191de
++ case $fstype in
++ local blocksize= reserved_blocks= max_mounts= check_interval=
++ local option name value
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ blocksize=' -b 4096'
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ [[ 5 == 5% ]]
++ reserved_blocks=' -m 5'
++ for option in '$options'
++ name=max_mounts
++ value=30
++ case $name in
++ max_mounts=' -c 30'
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ check_interval=' -i 180d'
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ bytes_per_inode=' -i 16384'
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ cat
++ local tunefs=tune2fs
++ '[' ext4 = ext4 ']'
++ has_binary tune4fs
++ for bin in '$@'
++ type tune4fs
++ return 1
++ '[' -n hdatalv ']'
++ echo 'tune2fs -L hdatalv /dev/mapper/localvg-hdatalv >&2'
++ '[' -n af8ed061-1178-4947-82ec-64d4493191de ']'
++ echo 'tune2fs -U af8ed061-1178-4947-82ec-64d4493191de /dev/mapper/localvg-hdatalv >&2'
++ tune2fsopts=' -m 5 -c 30 -i 180d'
++ '[' -n ' -m 5 -c 30 -i 180d' ']'
++ echo 'tune2fs  -m 5 -c 30 -i 180d /dev/mapper/localvg-hdatalv >&2'
++ local option mountopts
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ for option in '$options'
++ name=max_mounts
++ value=30
++ case $name in
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ mountopts=rw,nodev
++ '[' -n rw,nodev ']'
++ mountopts=' -o rw,nodev'
++ cat
++ cat
++ mark_as_done fs:/opt/hydra_data
++ Debug 'Marking fs:/opt/hydra_data as done.'
++ test ''
++ sed -i 's;todo\ fs:/opt/hydra_data\ ;done\ fs:/opt/hydra_data\ ;' /var/lib/rear/layout/disktodo.conf
++ '[' -z '' ']'
++ willdodev=
++ willdotype=
++ cp /var/lib/rear/layout/disktodo.conf /var/lib/rear/layout/disktodo.conf.tmp
++ read status thisdev type
+++ grep '^todo' /var/lib/rear/layout/disktodo.conf
++ Debug 'Testing fs:/opt/hydra_store for dependencies...'
++ test ''
++ deps=($(grep "^$thisdev\ " $LAYOUT_DEPS | cut -d " " -f "2"))
+++ grep '^fs:/opt/hydra_store\ ' /var/lib/rear/layout/diskdeps.conf
+++ cut -d ' ' -f 2
++ Debug 'deps (2): /dev/mapper/localvg-hstorelv fs:/'
++ test ''
++ donedeps=0
++ for dep in '"${deps[@]}"'
++ grep -q 'done /dev/mapper/localvg-hstorelv ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ for dep in '"${deps[@]}"'
++ grep -q 'done fs:/ ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ '[' 2 -eq 2 ']'
++ Debug 'All dependencies for fs:/opt/hydra_store are present, processing...'
++ test ''
++ willdodev=fs:/opt/hydra_store
++ willdotype=fs
++ break
++ rm /var/lib/rear/layout/disktodo.conf.tmp
++ '[' -n fs:/opt/hydra_store ']'
++ create_device fs:/opt/hydra_store fs
++ local device=fs:/opt/hydra_store
++ local type=fs
++ local name
++ cat
++ echo '# Create fs:/opt/hydra_store (fs)'
++ type -t create_fs
++ create_fs fs:/opt/hydra_store
++ local fs device mp fstype uuid label options
++ read fs device mp fstype uuid label options
+++ grep '^fs.* /opt/hydra_store ' /var/lib/rear/layout/disklayout.conf
++ label=hstorelv
++ uuid=25b01189-9d44-4f2c-bd8c-742e82715b64
++ case $fstype in
++ local blocksize= reserved_blocks= max_mounts= check_interval=
++ local option name value
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ blocksize=' -b 4096'
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ [[ 5 == 5% ]]
++ reserved_blocks=' -m 5'
++ for option in '$options'
++ name=max_mounts
++ value=20
++ case $name in
++ max_mounts=' -c 20'
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ check_interval=' -i 180d'
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ bytes_per_inode=' -i 16384'
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ cat
++ local tunefs=tune2fs
++ '[' ext4 = ext4 ']'
++ has_binary tune4fs
++ for bin in '$@'
++ type tune4fs
++ return 1
++ '[' -n hstorelv ']'
++ echo 'tune2fs -L hstorelv /dev/mapper/localvg-hstorelv >&2'
++ '[' -n 25b01189-9d44-4f2c-bd8c-742e82715b64 ']'
++ echo 'tune2fs -U 25b01189-9d44-4f2c-bd8c-742e82715b64 /dev/mapper/localvg-hstorelv >&2'
++ tune2fsopts=' -m 5 -c 20 -i 180d'
++ '[' -n ' -m 5 -c 20 -i 180d' ']'
++ echo 'tune2fs  -m 5 -c 20 -i 180d /dev/mapper/localvg-hstorelv >&2'
++ local option mountopts
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ for option in '$options'
++ name=max_mounts
++ value=20
++ case $name in
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ mountopts=rw,nodev
++ '[' -n rw,nodev ']'
++ mountopts=' -o rw,nodev'
++ cat
++ cat
++ mark_as_done fs:/opt/hydra_store
++ Debug 'Marking fs:/opt/hydra_store as done.'
++ test ''
++ sed -i 's;todo\ fs:/opt/hydra_store\ ;done\ fs:/opt/hydra_store\ ;' /var/lib/rear/layout/disktodo.conf
++ '[' -z '' ']'
++ willdodev=
++ willdotype=
++ cp /var/lib/rear/layout/disktodo.conf /var/lib/rear/layout/disktodo.conf.tmp
++ read status thisdev type
+++ grep '^todo' /var/lib/rear/layout/disktodo.conf
++ Debug 'Testing fs:/opt/hydra_backlog for dependencies...'
++ test ''
++ deps=($(grep "^$thisdev\ " $LAYOUT_DEPS | cut -d " " -f "2"))
+++ grep '^fs:/opt/hydra_backlog\ ' /var/lib/rear/layout/diskdeps.conf
+++ cut -d ' ' -f 2
++ Debug 'deps (2): /dev/mapper/localvg-hbackloglv fs:/'
++ test ''
++ donedeps=0
++ for dep in '"${deps[@]}"'
++ grep -q 'done /dev/mapper/localvg-hbackloglv ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ for dep in '"${deps[@]}"'
++ grep -q 'done fs:/ ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ '[' 2 -eq 2 ']'
++ Debug 'All dependencies for fs:/opt/hydra_backlog are present, processing...'
++ test ''
++ willdodev=fs:/opt/hydra_backlog
++ willdotype=fs
++ break
++ rm /var/lib/rear/layout/disktodo.conf.tmp
++ '[' -n fs:/opt/hydra_backlog ']'
++ create_device fs:/opt/hydra_backlog fs
++ local device=fs:/opt/hydra_backlog
++ local type=fs
++ local name
++ cat
++ echo '# Create fs:/opt/hydra_backlog (fs)'
++ type -t create_fs
++ create_fs fs:/opt/hydra_backlog
++ local fs device mp fstype uuid label options
++ read fs device mp fstype uuid label options
+++ grep '^fs.* /opt/hydra_backlog ' /var/lib/rear/layout/disklayout.conf
++ label=hbackloglv
++ uuid=ce46a998-beac-454a-a865-727895be69f9
++ case $fstype in
++ local blocksize= reserved_blocks= max_mounts= check_interval=
++ local option name value
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ blocksize=' -b 4096'
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ [[ 5 == 5% ]]
++ reserved_blocks=' -m 5'
++ for option in '$options'
++ name=max_mounts
++ value=38
++ case $name in
++ max_mounts=' -c 38'
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ check_interval=' -i 180d'
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ bytes_per_inode=' -i 16384'
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ cat
++ local tunefs=tune2fs
++ '[' ext4 = ext4 ']'
++ has_binary tune4fs
++ for bin in '$@'
++ type tune4fs
++ return 1
++ '[' -n hbackloglv ']'
++ echo 'tune2fs -L hbackloglv /dev/mapper/localvg-hbackloglv >&2'
++ '[' -n ce46a998-beac-454a-a865-727895be69f9 ']'
++ echo 'tune2fs -U ce46a998-beac-454a-a865-727895be69f9 /dev/mapper/localvg-hbackloglv >&2'
++ tune2fsopts=' -m 5 -c 38 -i 180d'
++ '[' -n ' -m 5 -c 38 -i 180d' ']'
++ echo 'tune2fs  -m 5 -c 38 -i 180d /dev/mapper/localvg-hbackloglv >&2'
++ local option mountopts
++ for option in '$options'
++ name=blocksize
++ value=4096
++ case $name in
++ for option in '$options'
++ name=reserved_blocks
++ value=5%
++ case $name in
++ for option in '$options'
++ name=max_mounts
++ value=38
++ case $name in
++ for option in '$options'
++ name=check_interval
++ value=180d
++ case $name in
++ for option in '$options'
++ name=bytes_per_inode
++ value=16384
++ case $name in
++ for option in '$options'
++ name=options
++ value=rw,nodev
++ case $name in
++ mountopts=rw,nodev
++ '[' -n rw,nodev ']'
++ mountopts=' -o rw,nodev'
++ cat
++ cat
++ mark_as_done fs:/opt/hydra_backlog
++ Debug 'Marking fs:/opt/hydra_backlog as done.'
++ test ''
++ sed -i 's;todo\ fs:/opt/hydra_backlog\ ;done\ fs:/opt/hydra_backlog\ ;' /var/lib/rear/layout/disktodo.conf
++ '[' -z '' ']'
++ willdodev=
++ willdotype=
++ cp /var/lib/rear/layout/disktodo.conf /var/lib/rear/layout/disktodo.conf.tmp
++ read status thisdev type
+++ grep '^todo' /var/lib/rear/layout/disktodo.conf
++ Debug 'Testing swap:/dev/mapper/rootvg-swap for dependencies...'
++ test ''
++ deps=($(grep "^$thisdev\ " $LAYOUT_DEPS | cut -d " " -f "2"))
+++ grep '^swap:/dev/mapper/rootvg-swap\ ' /var/lib/rear/layout/diskdeps.conf
+++ cut -d ' ' -f 2
++ Debug 'deps (1): /dev/mapper/rootvg-swap'
++ test ''
++ donedeps=0
++ for dep in '"${deps[@]}"'
++ grep -q 'done /dev/mapper/rootvg-swap ' /var/lib/rear/layout/disktodo.conf.tmp
++ let donedeps=donedeps+1
++ '[' 1 -eq 1 ']'
++ Debug 'All dependencies for swap:/dev/mapper/rootvg-swap are present, processing...'
++ test ''
++ willdodev=swap:/dev/mapper/rootvg-swap
++ willdotype=swap
++ break
++ rm /var/lib/rear/layout/disktodo.conf.tmp
++ '[' -n swap:/dev/mapper/rootvg-swap ']'
++ create_device swap:/dev/mapper/rootvg-swap swap
++ local device=swap:/dev/mapper/rootvg-swap
++ local type=swap
++ local name
++ cat
++ echo '# Create swap:/dev/mapper/rootvg-swap (swap)'
++ type -t create_swap
++ create_swap swap:/dev/mapper/rootvg-swap
++ local swap device uuid label junk
++ read swap device uuid label junk
+++ grep '^swap /dev/mapper/rootvg-swap ' /var/lib/rear/layout/disklayout.conf
++ [[ -n y ]]
++ [[ -n cbe224ea-acee-46ab-9457-e8ccd49c7a21 ]]
++ uuid='-U cbe224ea-acee-46ab-9457-e8ccd49c7a21 '
++ [[ -n '' ]]
++ label=
++ echo 'LogPrint "Creating swap on /dev/mapper/rootvg-swap"'
++ echo 'mkswap -U cbe224ea-acee-46ab-9457-e8ccd49c7a21 /dev/mapper/rootvg-swap >&2'
++ cat
++ mark_as_done swap:/dev/mapper/rootvg-swap
++ Debug 'Marking swap:/dev/mapper/rootvg-swap as done.'
++ test ''
++ sed -i 's;todo\ swap:/dev/mapper/rootvg-swap\ ;done\ swap:/dev/mapper/rootvg-swap\ ;' /var/lib/rear/layout/disktodo.conf
++ '[' -z '' ']'
++ willdodev=
++ willdotype=
++ cp /var/lib/rear/layout/disktodo.conf /var/lib/rear/layout/disktodo.conf.tmp
++ read status thisdev type
+++ grep '^todo' /var/lib/rear/layout/disktodo.conf
++ rm /var/lib/rear/layout/disktodo.conf.tmp
++ '[' -n '' ']'
++ all_done=y
++ '[' -z y ']'
+ test 1
+ set +x
2012-11-15 18:21:24 Including layout/prepare/default/55_finalize_script.sh
+ . /usr/share/rear/layout/prepare/default/55_finalize_script.sh
++ cat
+ test 1
+ set +x
2012-11-15 18:21:24 Including layout/prepare/default/60_show_unprocessed.sh
+ . /usr/share/rear/layout/prepare/default/60_show_unprocessed.sh
++ read -u 3 status name type junk
+++ grep '^todo' /var/lib/rear/layout/disktodo.conf
+ test 1
+ set +x
2012-11-15 18:21:24 Including layout/prepare/default/61_exclude_from_restore.sh
+ . /usr/share/rear/layout/prepare/default/61_exclude_from_restore.sh
++ :
+ test 1
+ set +x
2012-11-15 18:21:24 Finished running 'layout/prepare' stage in 2 seconds
2012-11-15 18:21:24 Running 'layout/recreate' stage
2012-11-15 18:21:24 Including layout/recreate/default/10_ask_confirmation.sh
+ . /usr/share/rear/layout/recreate/default/10_ask_confirmation.sh
++ [[ -z '' ]]
++ return 0
+ test 1
+ set +x
2012-11-15 18:21:24 Including layout/recreate/default/20_run_script.sh
+ . /usr/share/rear/layout/recreate/default/20_run_script.sh
++ RESTORE_OK=
++ [[ -z '' ]]
++ . /var/lib/rear/layout/diskrestore.sh
+++ LogPrint 'Start system layout restoration.'
+++ Log 'Start system layout restoration.'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:21:24 Start system layout restoration.'
2012-11-15 18:21:24 Start system layout restoration.
+++ Print 'Start system layout restoration.'
+++ test 1
+++ echo -e 'Start system layout restoration.'
+++ mkdir -p /mnt/local
+++ create_component vgchange rear
+++ local device=vgchange
+++ local type=rear
+++ local touchfile=rear-vgchange
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/rear-vgchange ']'
+++ return 0
+++ lvm vgchange -a n
  No volume groups found
+++ component_created vgchange rear
+++ local device=vgchange
+++ local type=rear
+++ local touchfile=rear-vgchange
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/rear-vgchange
+++ set -e
+++ set -x
+++ create_component /dev/sda disk
+++ local device=/dev/sda
+++ local type=disk
+++ local touchfile=disk--dev-sda
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/disk--dev-sda ']'
+++ return 0
+++ Log 'Erasing MBR of disk /dev/sda'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:21:24 Erasing MBR of disk /dev/sda'
2012-11-15 18:21:24 Erasing MBR of disk /dev/sda
+++ dd if=/dev/zero of=/dev/sda bs=512 count=1
1+0 records in
1+0 records out
512 bytes (512 B) copied, 0.00686346 s, 74.6 kB/s
+++ sync
+++ LogPrint 'Creating partitions for disk /dev/sda (msdos)'
+++ Log 'Creating partitions for disk /dev/sda (msdos)'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:21:24 Creating partitions for disk /dev/sda (msdos)'
2012-11-15 18:21:24 Creating partitions for disk /dev/sda (msdos)
+++ Print 'Creating partitions for disk /dev/sda (msdos)'
+++ test 1
+++ echo -e 'Creating partitions for disk /dev/sda (msdos)'
+++ parted -s /dev/sda mklabel msdos
+++ parted -s /dev/sda mkpart primary 1048576B 135266303B
+++ parted -s /dev/sda set 1 boot on
+++ parted -s /dev/sda mkpart primary 135266304B 107509448703B
+++ parted -s /dev/sda set 2 lvm on
+++ parted -s /dev/sda mkpart primary 107509448704B 108046319615B
+++ parted -s /dev/sda mkpart primary 108046319616B 1494996746239B
Warning: WARNING: the kernel failed to re-read the partition table on /dev/sda (Device or resource busy).  As a result, it may not reflect all of your changes until after reboot.
++ ((  1 == 0  ))
++ LogPrint 'An error occured during layout recreation.'
++ Log 'An error occured during layout recreation.'
++ test 1 -gt 0
+++ Stamp
+++ date '+%Y-%m-%d %H:%M:%S '
++ echo '2012-11-15 18:21:24 An error occured during layout recreation.'
2012-11-15 18:21:24 An error occured during layout recreation.
++ Print 'An error occured during layout recreation.'
++ test 1
++ echo -e 'An error occured during layout recreation.'
++ Print ''
++ test 1
++ echo -e ''
++ choices=("View Relax-and-Recover log" "View original disk space usage" "Go to Relax-and-Recover shell" "Edit restore script (diskrestore.sh)" "Continue restore script" "Abort Relax-and-Recover")
+++ stat --format=%Y /var/lib/rear/layout/diskrestore.sh
++ timestamp=1353021684
++ Log 'User selected: 5) Continue restore script'
++ test 1 -gt 0
+++ Stamp
+++ date '+%Y-%m-%d %H:%M:%S '
++ echo '2012-11-15 18:25:07 User selected: 5) Continue restore script'
2012-11-15 18:25:07 User selected: 5) Continue restore script
++ ((  REPLY == 6  ))
++ [[ -z '' ]]
++ . /var/lib/rear/layout/diskrestore.sh
+++ set -x
+++ LogPrint 'Start system layout restoration.'
+++ Log 'Start system layout restoration.'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:25:07 Start system layout restoration.'
2012-11-15 18:25:07 Start system layout restoration.
+++ Print 'Start system layout restoration.'
+++ test 1
+++ echo -e 'Start system layout restoration.'
+++ mkdir -p /mnt/local
+++ create_component vgchange rear
+++ local device=vgchange
+++ local type=rear
+++ local touchfile=rear-vgchange
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/rear-vgchange ']'
+++ return 1
+++ set -e
+++ set -x
+++ create_component /dev/sda disk
+++ local device=/dev/sda
+++ local type=disk
+++ local touchfile=disk--dev-sda
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/disk--dev-sda ']'
+++ return 0
+++ Log 'Erasing MBR of disk /dev/sda'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:25:07 Erasing MBR of disk /dev/sda'
2012-11-15 18:25:07 Erasing MBR of disk /dev/sda
+++ dd if=/dev/zero of=/dev/sda bs=512 count=1
1+0 records in
1+0 records out
512 bytes (512 B) copied, 0.000618129 s, 828 kB/s
+++ sync
+++ LogPrint 'Creating partitions for disk /dev/sda (msdos)'
+++ Log 'Creating partitions for disk /dev/sda (msdos)'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:25:07 Creating partitions for disk /dev/sda (msdos)'
2012-11-15 18:25:07 Creating partitions for disk /dev/sda (msdos)
+++ Print 'Creating partitions for disk /dev/sda (msdos)'
+++ test 1
+++ echo -e 'Creating partitions for disk /dev/sda (msdos)'
+++ parted -s /dev/sda mklabel msdos
+++ partprobe -s /dev/sda
/dev/sda: msdos partitions
+++ sleep 10
+++ parted -s /dev/sda mkpart primary 1048576B 135266303B
+++ partprobe -s /dev/sda
/dev/sda: msdos partitions 1
+++ sleep 10
+++ parted -s /dev/sda set 1 boot on
+++ partprobe -s /dev/sda
/dev/sda: msdos partitions 1
+++ parted -s /dev/sda mkpart primary 135266304B 107509448703B
+++ partprobe -s /dev/sda
/dev/sda: msdos partitions 1 2
+++ sleep 10
+++ parted -s /dev/sda set 2 lvm on
+++ partprobe -s /dev/sda
/dev/sda: msdos partitions 1 2
+++ sleep 10
+++ parted -s /dev/sda mkpart primary 107509448704B 108046319615B
+++ partprobe -s /dev/sda
/dev/sda: msdos partitions 1 2 3
+++ sleep 10
+++ parted -s /dev/sda mkpart primary 108046319616B 1494996746239B
+++ partprobe -s /dev/sda
/dev/sda: msdos partitions 1 2 3 4
+++ sleep 10
+++ parted -s /dev/sda set 4 lvm on
+++ partprobe -s /dev/sda
/dev/sda: msdos partitions 1 2 3 4
+++ sleep 10
+++ my_udevtrigger
+++ has_binary udevadm
+++ for bin in '$@'
+++ type udevadm
+++ return 0
+++ udevadm trigger
+++ my_udevsettle
+++ has_binary udevadm
+++ for bin in '$@'
+++ type udevadm
+++ return 0
+++ udevadm settle
+++ component_created /dev/sda disk
+++ local device=/dev/sda
+++ local type=disk
+++ local touchfile=disk--dev-sda
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/disk--dev-sda
+++ create_component /dev/sda1 part
+++ local device=/dev/sda1
+++ local type=part
+++ local touchfile=part--dev-sda1
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/part--dev-sda1 ']'
+++ return 0
+++ component_created /dev/sda1 part
+++ local device=/dev/sda1
+++ local type=part
+++ local touchfile=part--dev-sda1
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/part--dev-sda1
+++ create_component /dev/sda2 part
+++ local device=/dev/sda2
+++ local type=part
+++ local touchfile=part--dev-sda2
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/part--dev-sda2 ']'
+++ return 0
+++ component_created /dev/sda2 part
+++ local device=/dev/sda2
+++ local type=part
+++ local touchfile=part--dev-sda2
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/part--dev-sda2
+++ create_component /dev/sda3 part
+++ local device=/dev/sda3
+++ local type=part
+++ local touchfile=part--dev-sda3
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/part--dev-sda3 ']'
+++ return 0
+++ component_created /dev/sda3 part
+++ local device=/dev/sda3
+++ local type=part
+++ local touchfile=part--dev-sda3
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/part--dev-sda3
+++ create_component /dev/sda4 part
+++ local device=/dev/sda4
+++ local type=part
+++ local touchfile=part--dev-sda4
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/part--dev-sda4 ']'
+++ return 0
+++ component_created /dev/sda4 part
+++ local device=/dev/sda4
+++ local type=part
+++ local touchfile=part--dev-sda4
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/part--dev-sda4
+++ create_component pv:/dev/sda4 lvmdev
+++ local device=pv:/dev/sda4
+++ local type=lvmdev
+++ local touchfile=lvmdev-pv:-dev-sda4
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmdev-pv:-dev-sda4 ']'
+++ return 0
+++ LogPrint 'Creating LVM PV /dev/sda4'
+++ Log 'Creating LVM PV /dev/sda4'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:26:17 Creating LVM PV /dev/sda4'
2012-11-15 18:26:17 Creating LVM PV /dev/sda4
+++ Print 'Creating LVM PV /dev/sda4'
+++ test 1
+++ echo -e 'Creating LVM PV /dev/sda4'
+++ lvm vgchange -a n localvg
  Volume group "localvg" not found
+++ true
+++ lvm pvcreate -ff --yes -v --uuid vdwAjb-Ajqk-XfK9-hX03-3dyc-57As-Zf2qQY --restorefile /var/lib/rear/layout/lvm/localvg.cfg /dev/sda4
    Wiping cache of LVM-capable devices
    Set up physical volume for "/dev/sda4" with 2708887552 available sectors
  Physical volume "/dev/sda4" successfully created
+++ component_created pv:/dev/sda4 lvmdev
+++ local device=pv:/dev/sda4
+++ local type=lvmdev
+++ local touchfile=lvmdev-pv:-dev-sda4
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmdev-pv:-dev-sda4
+++ create_component pv:/dev/sda2 lvmdev
+++ local device=pv:/dev/sda2
+++ local type=lvmdev
+++ local touchfile=lvmdev-pv:-dev-sda2
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmdev-pv:-dev-sda2 ']'
+++ return 0
+++ LogPrint 'Creating LVM PV /dev/sda2'
+++ Log 'Creating LVM PV /dev/sda2'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:26:17 Creating LVM PV /dev/sda2'
2012-11-15 18:26:17 Creating LVM PV /dev/sda2
+++ Print 'Creating LVM PV /dev/sda2'
+++ test 1
+++ echo -e 'Creating LVM PV /dev/sda2'
+++ lvm vgchange -a n rootvg
  Volume group "rootvg" not found
+++ true
+++ lvm pvcreate -ff --yes -v --uuid vWTDnZ-l5ub-3hyD-efzl-FA5W-JOcB-9RzVKn --restorefile /var/lib/rear/layout/lvm/rootvg.cfg /dev/sda2
    Wiping cache of LVM-capable devices
    Set up physical volume for "/dev/sda2" with 209715200 available sectors
  Physical volume "/dev/sda2" successfully created
+++ component_created pv:/dev/sda2 lvmdev
+++ local device=pv:/dev/sda2
+++ local type=lvmdev
+++ local touchfile=lvmdev-pv:-dev-sda2
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmdev-pv:-dev-sda2
+++ create_component /dev/localvg lvmgrp
+++ local device=/dev/localvg
+++ local type=lvmgrp
+++ local touchfile=lvmgrp--dev-localvg
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmgrp--dev-localvg ']'
+++ return 0
+++ LogPrint 'Restoring LVM VG localvg'
+++ Log 'Restoring LVM VG localvg'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:26:17 Restoring LVM VG localvg'
2012-11-15 18:26:17 Restoring LVM VG localvg
+++ Print 'Restoring LVM VG localvg'
+++ test 1
+++ echo -e 'Restoring LVM VG localvg'
+++ '[' -e /dev/localvg ']'
+++ rm -rf /dev/localvg
+++ lvm vgcfgrestore -f /var/lib/rear/layout/lvm/localvg.cfg localvg
  Restored volume group localvg
+++ lvm vgchange --available y localvg
  14 logical volume(s) in volume group "localvg" now active
+++ component_created /dev/localvg lvmgrp
+++ local device=/dev/localvg
+++ local type=lvmgrp
+++ local touchfile=lvmgrp--dev-localvg
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmgrp--dev-localvg
+++ create_component /dev/rootvg lvmgrp
+++ local device=/dev/rootvg
+++ local type=lvmgrp
+++ local touchfile=lvmgrp--dev-rootvg
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmgrp--dev-rootvg ']'
+++ return 0
+++ LogPrint 'Restoring LVM VG rootvg'
+++ Log 'Restoring LVM VG rootvg'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:26:18 Restoring LVM VG rootvg'
2012-11-15 18:26:18 Restoring LVM VG rootvg
+++ Print 'Restoring LVM VG rootvg'
+++ test 1
+++ echo -e 'Restoring LVM VG rootvg'
+++ '[' -e /dev/rootvg ']'
+++ rm -rf /dev/rootvg
+++ lvm vgcfgrestore -f /var/lib/rear/layout/lvm/rootvg.cfg rootvg
  Restored volume group rootvg
+++ lvm vgchange --available y rootvg
  12 logical volume(s) in volume group "rootvg" now active
+++ component_created /dev/rootvg lvmgrp
+++ local device=/dev/rootvg
+++ local type=lvmgrp
+++ local touchfile=lvmgrp--dev-rootvg
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmgrp--dev-rootvg
+++ create_component /dev/mapper/localvg-astlv lvmvol
+++ local device=/dev/mapper/localvg-astlv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-astlv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-astlv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-astlv lvmvol
+++ local device=/dev/mapper/localvg-astlv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-astlv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-astlv
+++ create_component /dev/mapper/localvg-astprodlv lvmvol
+++ local device=/dev/mapper/localvg-astprodlv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-astprodlv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-astprodlv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-astprodlv lvmvol
+++ local device=/dev/mapper/localvg-astprodlv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-astprodlv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-astprodlv
+++ create_component /dev/mapper/localvg-mqmlv lvmvol
+++ local device=/dev/mapper/localvg-mqmlv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-mqmlv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-mqmlv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-mqmlv lvmvol
+++ local device=/dev/mapper/localvg-mqmlv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-mqmlv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-mqmlv
+++ create_component /dev/mapper/localvg-calv lvmvol
+++ local device=/dev/mapper/localvg-calv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-calv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-calv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-calv lvmvol
+++ local device=/dev/mapper/localvg-calv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-calv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-calv
+++ create_component /dev/mapper/localvg-varmqmlv lvmvol
+++ local device=/dev/mapper/localvg-varmqmlv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-varmqmlv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-varmqmlv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-varmqmlv lvmvol
+++ local device=/dev/mapper/localvg-varmqmlv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-varmqmlv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-varmqmlv
+++ create_component /dev/mapper/localvg-viewstorelv lvmvol
+++ local device=/dev/mapper/localvg-viewstorelv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-viewstorelv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-viewstorelv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-viewstorelv lvmvol
+++ local device=/dev/mapper/localvg-viewstorelv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-viewstorelv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-viewstorelv
+++ create_component /dev/mapper/localvg-openmakelv lvmvol
+++ local device=/dev/mapper/localvg-openmakelv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-openmakelv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-openmakelv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-openmakelv lvmvol
+++ local device=/dev/mapper/localvg-openmakelv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-openmakelv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-openmakelv
+++ create_component /dev/mapper/localvg-cmlv lvmvol
+++ local device=/dev/mapper/localvg-cmlv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-cmlv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-cmlv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-cmlv lvmvol
+++ local device=/dev/mapper/localvg-cmlv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-cmlv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-cmlv
+++ create_component /dev/mapper/localvg-clearcaselv lvmvol
+++ local device=/dev/mapper/localvg-clearcaselv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-clearcaselv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-clearcaselv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-clearcaselv lvmvol
+++ local device=/dev/mapper/localvg-clearcaselv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-clearcaselv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-clearcaselv
+++ create_component /dev/mapper/localvg-hydralv lvmvol
+++ local device=/dev/mapper/localvg-hydralv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-hydralv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-hydralv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-hydralv lvmvol
+++ local device=/dev/mapper/localvg-hydralv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-hydralv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-hydralv
+++ create_component /dev/mapper/localvg-harchivelv lvmvol
+++ local device=/dev/mapper/localvg-harchivelv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-harchivelv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-harchivelv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-harchivelv lvmvol
+++ local device=/dev/mapper/localvg-harchivelv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-harchivelv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-harchivelv
+++ create_component /dev/mapper/localvg-hdatalv lvmvol
+++ local device=/dev/mapper/localvg-hdatalv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-hdatalv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-hdatalv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-hdatalv lvmvol
+++ local device=/dev/mapper/localvg-hdatalv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-hdatalv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-hdatalv
+++ create_component /dev/mapper/localvg-hstorelv lvmvol
+++ local device=/dev/mapper/localvg-hstorelv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-hstorelv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-hstorelv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-hstorelv lvmvol
+++ local device=/dev/mapper/localvg-hstorelv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-hstorelv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-hstorelv
+++ create_component /dev/mapper/localvg-hbackloglv lvmvol
+++ local device=/dev/mapper/localvg-hbackloglv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-hbackloglv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-hbackloglv ']'
+++ return 0
+++ component_created /dev/mapper/localvg-hbackloglv lvmvol
+++ local device=/dev/mapper/localvg-hbackloglv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-localvg-hbackloglv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-localvg-hbackloglv
+++ create_component /dev/mapper/rootvg-root lvmvol
+++ local device=/dev/mapper/rootvg-root
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-root
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-root ']'
+++ return 0
+++ component_created /dev/mapper/rootvg-root lvmvol
+++ local device=/dev/mapper/rootvg-root
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-root
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-root
+++ create_component /dev/mapper/rootvg-var lvmvol
+++ local device=/dev/mapper/rootvg-var
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-var
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-var ']'
+++ return 0
+++ component_created /dev/mapper/rootvg-var lvmvol
+++ local device=/dev/mapper/rootvg-var
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-var
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-var
+++ create_component /dev/mapper/rootvg-usr lvmvol
+++ local device=/dev/mapper/rootvg-usr
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-usr
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-usr ']'
+++ return 0
+++ component_created /dev/mapper/rootvg-usr lvmvol
+++ local device=/dev/mapper/rootvg-usr
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-usr
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-usr
+++ create_component /dev/mapper/rootvg-home lvmvol
+++ local device=/dev/mapper/rootvg-home
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-home
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-home ']'
+++ return 0
+++ component_created /dev/mapper/rootvg-home lvmvol
+++ local device=/dev/mapper/rootvg-home
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-home
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-home
+++ create_component /dev/mapper/rootvg-tmp lvmvol
+++ local device=/dev/mapper/rootvg-tmp
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-tmp
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-tmp ']'
+++ return 0
+++ component_created /dev/mapper/rootvg-tmp lvmvol
+++ local device=/dev/mapper/rootvg-tmp
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-tmp
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-tmp
+++ create_component /dev/mapper/rootvg-tivoli lvmvol
+++ local device=/dev/mapper/rootvg-tivoli
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-tivoli
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-tivoli ']'
+++ return 0
+++ component_created /dev/mapper/rootvg-tivoli lvmvol
+++ local device=/dev/mapper/rootvg-tivoli
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-tivoli
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-tivoli
+++ create_component /dev/mapper/rootvg-maestro lvmvol
+++ local device=/dev/mapper/rootvg-maestro
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-maestro
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-maestro ']'
+++ return 0
+++ component_created /dev/mapper/rootvg-maestro lvmvol
+++ local device=/dev/mapper/rootvg-maestro
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-maestro
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-maestro
+++ create_component /dev/mapper/rootvg-maestro_stdlist lvmvol
+++ local device=/dev/mapper/rootvg-maestro_stdlist
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-maestro_stdlist
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-maestro_stdlist ']'
+++ return 0
+++ component_created /dev/mapper/rootvg-maestro_stdlist lvmvol
+++ local device=/dev/mapper/rootvg-maestro_stdlist
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-maestro_stdlist
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-maestro_stdlist
+++ create_component /dev/mapper/rootvg-perflv lvmvol
+++ local device=/dev/mapper/rootvg-perflv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-perflv
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-perflv ']'
+++ return 0
+++ component_created /dev/mapper/rootvg-perflv lvmvol
+++ local device=/dev/mapper/rootvg-perflv
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-perflv
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-perflv
+++ create_component /dev/mapper/rootvg-slog lvmvol
+++ local device=/dev/mapper/rootvg-slog
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-slog
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-slog ']'
+++ return 0
+++ component_created /dev/mapper/rootvg-slog lvmvol
+++ local device=/dev/mapper/rootvg-slog
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-slog
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-slog
+++ create_component /dev/mapper/rootvg-director lvmvol
+++ local device=/dev/mapper/rootvg-director
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-director
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-director ']'
+++ return 0
+++ component_created /dev/mapper/rootvg-director lvmvol
+++ local device=/dev/mapper/rootvg-director
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-director
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-director
+++ create_component /dev/mapper/rootvg-swap lvmvol
+++ local device=/dev/mapper/rootvg-swap
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-swap
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-swap ']'
+++ return 0
+++ component_created /dev/mapper/rootvg-swap lvmvol
+++ local device=/dev/mapper/rootvg-swap
+++ local type=lvmvol
+++ local touchfile=lvmvol--dev-mapper-rootvg-swap
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/lvmvol--dev-mapper-rootvg-swap
+++ create_component fs:/ fs
+++ local device=fs:/
+++ local type=fs
+++ local touchfile=fs-fs:-
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/fs-fs:- ']'
+++ return 0
+++ LogPrint 'Creating ext4-filesystem / on /dev/mapper/rootvg-root'
+++ Log 'Creating ext4-filesystem / on /dev/mapper/rootvg-root'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:26:19 Creating ext4-filesystem / on /dev/mapper/rootvg-root'
2012-11-15 18:26:19 Creating ext4-filesystem / on /dev/mapper/rootvg-root
+++ Print 'Creating ext4-filesystem / on /dev/mapper/rootvg-root'
+++ test 1
+++ echo -e 'Creating ext4-filesystem / on /dev/mapper/rootvg-root'
+++ mkfs -t ext4 -b 4096 -i 16384 /dev/mapper/rootvg-root
mke2fs 1.41.12 (17-May-2010)
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=1 blocks, Stripe width=0 blocks
131072 inodes, 524288 blocks
26214 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=536870912
16 block groups
32768 blocks per group, 32768 fragments per group
8192 inodes per group
Superblock backups stored on blocks:
        32768, 98304, 163840, 229376, 294912

Writing inode tables: done
Creating journal (16384 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 32 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
+++ tune2fs -U eb41ff2d-839b-4de7-8df6-440c12379eef /dev/mapper/rootvg-root
tune2fs 1.41.12 (17-May-2010)
+++ tune2fs -m 4 -c -1 -i 0d /dev/mapper/rootvg-root
tune2fs 1.41.12 (17-May-2010)
Setting maximal mount count to -1
Setting interval between checks to 0 seconds
Setting reserved blocks percentage to 4% (20971 blocks)
+++ LogPrint 'Mounting filesystem /'
+++ Log 'Mounting filesystem /'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:26:19 Mounting filesystem /'
2012-11-15 18:26:19 Mounting filesystem /
+++ Print 'Mounting filesystem /'
+++ test 1
+++ echo -e 'Mounting filesystem /'
+++ mkdir -p /mnt/local/
+++ mount -o rw /dev/mapper/rootvg-root /mnt/local/
+++ component_created fs:/ fs
+++ local device=fs:/
+++ local type=fs
+++ local touchfile=fs-fs:-
+++ touch /tmp/rear.dOVVx2qTqW671xy/tmp/touch/fs-fs:-
+++ create_component fs:/boot fs
+++ local device=fs:/boot
+++ local type=fs
+++ local touchfile=fs-fs:-boot
+++ '[' -e /tmp/rear.dOVVx2qTqW671xy/tmp/touch/fs-fs:-boot ']'
+++ return 0
+++ LogPrint 'Creating ext4-filesystem /boot on /dev/sda1'
+++ Log 'Creating ext4-filesystem /boot on /dev/sda1'
+++ test 1 -gt 0
++++ Stamp
++++ date '+%Y-%m-%d %H:%M:%S '
+++ echo '2012-11-15 18:26:19 Creating ext4-filesystem /boot on /dev/sda1'
2012-11-15 18:26:19 Creating ext4-filesystem /boot on /dev/sda1
+++ Print 'Creating ext4-filesystem /boot on /dev/sda1'
+++ test 1
+++ echo -e 'Creating ext4-filesystem /boot on /dev/sda1'
+++ mkfs -t ext4 -b 1024 -i 4096 /dev/sda1
mke2fs 1.41.12 (17-May-2010)
mkfs.ext4: Invalid argument while setting blocksize; too small for device

++ ((  1 == 0  ))
++ LogPrint 'An error occured during layout recreation.'
++ Log 'An error occured during layout recreation.'
++ test 1 -gt 0
+++ Stamp
+++ date '+%Y-%m-%d %H:%M:%S '
++ echo '2012-11-15 18:26:19 An error occured during layout recreation.'
2012-11-15 18:26:19 An error occured during layout recreation.
++ Print 'An error occured during layout recreation.'
++ test 1
++ echo -e 'An error occured during layout recreation.'
++ Print ''
++ test 1
++ echo -e ''
++ choices=("View Relax-and-Recover log" "View original disk space usage" "Go to Relax-and-Recover shell" "Edit restore script (diskrestore.sh)" "Continue restore script" "Abort Relax-and-Recover")
+++ stat --format=%Y /var/lib/rear/layout/diskrestore.sh
++ timestamp=1353021897
++ Log 'User selected: 6) Abort Relax-and-Recover'
++ test 1 -gt 0
+++ Stamp
+++ date '+%Y-%m-%d %H:%M:%S '
++ echo '2012-11-15 18:27:16 User selected: 6) Abort Relax-and-Recover'
2012-11-15 18:27:16 User selected: 6) Abort Relax-and-Recover
++ ((  REPLY == 6  ))
++ abort_recreate
++ Log 'Error detected during restore.'
++ test 1 -gt 0
+++ Stamp
+++ date '+%Y-%m-%d %H:%M:%S '
++ echo '2012-11-15 18:27:16 Error detected during restore.'
2012-11-15 18:27:16 Error detected during restore.
++ Log 'Restoring backup of /var/lib/rear/layout/disklayout.conf'
++ test 1 -gt 0
+++ Stamp
+++ date '+%Y-%m-%d %H:%M:%S '
++ echo '2012-11-15 18:27:16 Restoring backup of /var/lib/rear/layout/disklayout.conf'
2012-11-15 18:27:16 Restoring backup of /var/lib/rear/lay

gdha commented at 2012-11-17 11:54:

are you recovering on an other computer with bigger disks?
The error happens at line:

+++ mkfs -t ext4 -b 1024 -i 4096 /dev/sda1
mke2fs 1.41.12 (17-May-2010)
mkfs.ext4: Invalid argument while setting blocksize; too small for device

what you could do is select "edit" script (instead of aborting) and modify the line by removing -b 1024 and then continue the recovery (it should continue where it stopped).

gdha commented at 2013-02-01 15:28:

Any progress made?

rommelg commented at 2013-02-01 15:39:

Sorry - I completely forgot about this. Yes he did what you said and it
worked.

Thanks for all your help

Greg Rommel
Linux Engineer


[Export of Github issue for rear/rear.]